import { jsx } from "react/jsx-runtime";
import { Paragraph as Paragraph$1 } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const Paragraph = forwardRef(
  ({ variant = "regular", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, "data-name": "Paragraph", ...props, children: /* @__PURE__ */ jsx(Paragraph$1, { weight: variant }) });
  }
);
Paragraph.displayName = "Paragraph";
Object.assign(Paragraph, { isGdsIcon: true });
export {
  Paragraph
};
